--- !ruby/object:Gem::Specification
name: open_graph_reader
version: !ruby/object:Gem::Version
  version: 0.6.1
platform: ruby
authors:
- Jonne Haß
autorequire: 
bindir: bin
cert_chain: []
date: 2015-05-12 00:00:00.000000000 Z
dependencies:
- !ruby/object:Gem::Dependency
  name: nokogiri
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '1.6'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '1.6'
- !ruby/object:Gem::Dependency
  name: faraday
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: 0.9.0
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: 0.9.0
- !ruby/object:Gem::Dependency
  name: bundler
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '1.7'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '1.7'
- !ruby/object:Gem::Dependency
  name: rake
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '10.0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '10.0'
- !ruby/object:Gem::Dependency
  name: rspec
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '3.1'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '3.1'
- !ruby/object:Gem::Dependency
  name: webmock
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '1.20'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '1.20'
description: A library to fetch and parse OpenGraph properties from an URL or a given
  string.
email:
- me@jhass.eu
executables: []
extensions: []
extra_rdoc_files: []
files:
- ".gitmodules"
- ".rspec"
- ".yardopts"
- LICENSE.txt
- README.md
- lib/open_graph_reader.rb
- lib/open_graph_reader/base.rb
- lib/open_graph_reader/builder.rb
- lib/open_graph_reader/configuration.rb
- lib/open_graph_reader/definitions.rb
- lib/open_graph_reader/fetcher.rb
- lib/open_graph_reader/object.rb
- lib/open_graph_reader/object/dsl.rb
- lib/open_graph_reader/object/dsl/types.rb
- lib/open_graph_reader/object/registry.rb
- lib/open_graph_reader/parser.rb
- lib/open_graph_reader/parser/graph.rb
- lib/open_graph_reader/version.rb
- spec/fixtures/examples/apple-touch-icon-precomposed.png
- spec/fixtures/examples/apple-touch-icon.png
- spec/fixtures/examples/article-offset.html
- spec/fixtures/examples/article-utc.html
- spec/fixtures/examples/article.html
- spec/fixtures/examples/audio-array.html
- spec/fixtures/examples/audio-url.html
- spec/fixtures/examples/audio.html
- spec/fixtures/examples/book-isbn10.html
- spec/fixtures/examples/book.html
- spec/fixtures/examples/canadian.html
- spec/fixtures/examples/error.html
- spec/fixtures/examples/errors/article-date.html
- spec/fixtures/examples/errors/book-author.html
- spec/fixtures/examples/errors/book.html
- spec/fixtures/examples/errors/gender.html
- spec/fixtures/examples/errors/geo.html
- spec/fixtures/examples/errors/type.html
- spec/fixtures/examples/errors/video-duration.html
- spec/fixtures/examples/favicon.ico
- spec/fixtures/examples/filters/xss-image.html
- spec/fixtures/examples/image-array.html
- spec/fixtures/examples/image-toosmall.html
- spec/fixtures/examples/image-url.html
- spec/fixtures/examples/image.html
- spec/fixtures/examples/index.html
- spec/fixtures/examples/media/audio/1khz.mp3
- spec/fixtures/examples/media/audio/250hz.mp3
- spec/fixtures/examples/media/images/1.png
- spec/fixtures/examples/media/images/50.png
- spec/fixtures/examples/media/images/75.png
- spec/fixtures/examples/media/images/icon.png
- spec/fixtures/examples/media/images/logo.png
- spec/fixtures/examples/media/images/train.jpg
- spec/fixtures/examples/media/video/train.flv
- spec/fixtures/examples/media/video/train.mp4
- spec/fixtures/examples/media/video/train.webm
- spec/fixtures/examples/min.html
- spec/fixtures/examples/nomedia.html
- spec/fixtures/examples/plain.html
- spec/fixtures/examples/profile.html
- spec/fixtures/examples/required.html
- spec/fixtures/examples/robots.txt
- spec/fixtures/examples/sitemap.xml
- spec/fixtures/examples/video-array.html
- spec/fixtures/examples/video-movie.html
- spec/fixtures/examples/video.html
- spec/fixtures/real_world/image_path.html
- spec/fixtures/real_world/image_path_2.html
- spec/fixtures/real_world/invalid_article_author.html
- spec/fixtures/real_world/invalid_datetime.html
- spec/fixtures/real_world/missing_content.html
- spec/fixtures/real_world/missing_image.html
- spec/fixtures/real_world/missing_title.html
- spec/fixtures/real_world/missing_url.html
- spec/fixtures/real_world/mixed_case_properties.html
- spec/fixtures/real_world/mixed_case_type.html
- spec/fixtures/real_world/not_a_reference.html
- spec/fixtures/real_world/undefined_property.html
- spec/fixtures/real_world/undefined_property_2.html
- spec/fixtures/real_world/unknown_namespace.html
- spec/fixtures/real_world/unknown_type.html
- spec/fixtures/real_world/url_path.html
- spec/integration/invalid_examples_spec.rb
- spec/integration/real_world_spec.rb
- spec/integration/valid_examples_spec.rb
- spec/open_graph_reader_spec.rb
- spec/spec_helper.rb
homepage: https://github.com/jhass/open_graph_reader
licenses:
- MIT
metadata: {}
post_install_message: 
rdoc_options: []
require_paths:
- lib
required_ruby_version: !ruby/object:Gem::Requirement
  requirements:
  - - ">="
    - !ruby/object:Gem::Version
      version: '0'
required_rubygems_version: !ruby/object:Gem::Requirement
  requirements:
  - - ">="
    - !ruby/object:Gem::Version
      version: '0'
requirements: []
rubyforge_project: 
rubygems_version: 2.4.5
signing_key: 
specification_version: 4
summary: OpenGraph protocol parser
test_files:
- spec/fixtures/examples/apple-touch-icon-precomposed.png
- spec/fixtures/examples/apple-touch-icon.png
- spec/fixtures/examples/article-offset.html
- spec/fixtures/examples/article-utc.html
- spec/fixtures/examples/article.html
- spec/fixtures/examples/audio-array.html
- spec/fixtures/examples/audio-url.html
- spec/fixtures/examples/audio.html
- spec/fixtures/examples/book-isbn10.html
- spec/fixtures/examples/book.html
- spec/fixtures/examples/canadian.html
- spec/fixtures/examples/error.html
- spec/fixtures/examples/errors/article-date.html
- spec/fixtures/examples/errors/book-author.html
- spec/fixtures/examples/errors/book.html
- spec/fixtures/examples/errors/gender.html
- spec/fixtures/examples/errors/geo.html
- spec/fixtures/examples/errors/type.html
- spec/fixtures/examples/errors/video-duration.html
- spec/fixtures/examples/favicon.ico
- spec/fixtures/examples/filters/xss-image.html
- spec/fixtures/examples/image-array.html
- spec/fixtures/examples/image-toosmall.html
- spec/fixtures/examples/image-url.html
- spec/fixtures/examples/image.html
- spec/fixtures/examples/index.html
- spec/fixtures/examples/media/audio/1khz.mp3
- spec/fixtures/examples/media/audio/250hz.mp3
- spec/fixtures/examples/media/images/1.png
- spec/fixtures/examples/media/images/50.png
- spec/fixtures/examples/media/images/75.png
- spec/fixtures/examples/media/images/icon.png
- spec/fixtures/examples/media/images/logo.png
- spec/fixtures/examples/media/images/train.jpg
- spec/fixtures/examples/media/video/train.flv
- spec/fixtures/examples/media/video/train.mp4
- spec/fixtures/examples/media/video/train.webm
- spec/fixtures/examples/min.html
- spec/fixtures/examples/nomedia.html
- spec/fixtures/examples/plain.html
- spec/fixtures/examples/profile.html
- spec/fixtures/examples/required.html
- spec/fixtures/examples/robots.txt
- spec/fixtures/examples/sitemap.xml
- spec/fixtures/examples/video-array.html
- spec/fixtures/examples/video-movie.html
- spec/fixtures/examples/video.html
- spec/fixtures/real_world/image_path.html
- spec/fixtures/real_world/image_path_2.html
- spec/fixtures/real_world/invalid_article_author.html
- spec/fixtures/real_world/invalid_datetime.html
- spec/fixtures/real_world/missing_content.html
- spec/fixtures/real_world/missing_image.html
- spec/fixtures/real_world/missing_title.html
- spec/fixtures/real_world/missing_url.html
- spec/fixtures/real_world/mixed_case_properties.html
- spec/fixtures/real_world/mixed_case_type.html
- spec/fixtures/real_world/not_a_reference.html
- spec/fixtures/real_world/undefined_property.html
- spec/fixtures/real_world/undefined_property_2.html
- spec/fixtures/real_world/unknown_namespace.html
- spec/fixtures/real_world/unknown_type.html
- spec/fixtures/real_world/url_path.html
- spec/integration/invalid_examples_spec.rb
- spec/integration/real_world_spec.rb
- spec/integration/valid_examples_spec.rb
- spec/open_graph_reader_spec.rb
- spec/spec_helper.rb
has_rdoc: 
